define({
  root: ({
    selectAnalysisTools:"Select analysis tools to use in the widget.",
    graphicalDisplay:"Graphical display",
    toolSetting: "Set tool details",
    toolLabel: "The tool display name",
    showHelpTip: "Show help links in the widget",
    showCurrentMapExtent: "Show option to use the current map extent",
    showCredits: "Display <b>Show credits</b> option",
    saveAsFeatureService: "Save the result in user’s account",
    showReadyToUseLayers: "Show ready to use layers from ArcGIS Online Living Atlas of the world",
    toolNotAvailable: "This tool is not available because the map doesn't contain required feature layer(s).",
    aggregatePoints:"Aggregate Points",
    aggregatePointsUsage:"Aggregate points into polygons where the points are located.",
    calculateDensity:"Calculate Density",
    calculateDensityUsage:"Create a density map from point or line features by spreading known quantities of some phenomenon(represented as attributes of the points or lines) across the map.",
    connectOriginsToDestinations: "Connect Origins To Destinations",
    connectOriginsToDestinationsUsage: "Measure the travel time or distance between pairs of points.",
    createBuffers:"Create Buffers",
    createBuffersUsage:"Create buffer polygons from input features.",
    createDriveTimeAreas:"Create Drive Time Areas",
    createDriveTimeAreasUsage:"Create drive-time (or drive-distance) polygons around input points for the given drive-time values.",
    createViewshed:"Create Viewshed",
    createViewshedUsage:"Creates areas that are visible based on locations you specify.",
    createWatersheds:"Create Watersheds",
    createWatershedsUsage:"Creates catchment areas based on locations you specify.",
    deriveNewLocations:"Derive New Locations",
    deriveNewLocationsUsage:"Derive new features from the input layers that meet a query you specify",
    dissolveBoundaries:"Dissolve Boundaries",
    dissolveBoundariesUsage:"Dissolve polygons that overlap or share a common boundary.",
    enrichLayer:"Enrich Layer",
    enrichLayerUsage:"Enrich input features with people, places and businesses facts about nearby areas.",
    extractData:"Extract Data",
    extractDataDesc:"Extract data from one or more layers within a given extent",
    findExistingLocations:"Find Existing Locations",
    findExistingLocationsUsage:"Select features in the input layer that meet an attribute and/or spatial query you specify",
    findHotSpots:"Find Hot Spots",
    findHotSpotsUsage:"Find statistically signficant clusters of input features or high/low values.",
    findNearest:"Find Nearest",
    findNearestUsage:"For each feature on an input layer, find its closest feature on another layer",
    findSimilarLocations:"Find Similar Locations",
    findSimilarLocationsUsage:"Measure the similarity of candidate locations to one or more reference locations.",
    interpolatePoints:"Interpolate Points",
    interpolatePointsUsage:"Predict values at new locations based on measurements from a collection of points.",
    mergeLayers:"Merge Layers",
    mergeLayersUsage:"Merge features from multiple layers into a new layer",
    overlayLayers:"Overlay Layers",
    overlayLayersUsage:"Combine multiple layers into one single layer with information from the original layers preserved.",
    planRoutes:"Plan Routes",
    planRoutesUsage:"Determine how to efficiently divide tasks among a mobile workforce.",
    summarizeNearby:"Summarize Nearby",
    summarizeNearbyUsage:"For each feature on an input layer, summarize data within a distance from features on another layer.",
    summarizeWithin:"Summarize Within",
    summarizeWithinUsage:"For each polygon on an input polygon layer, summarize data located within it from features on another layer.",
    traceDownstream:"Trace Downstream",
    traceDownstreamUsage:"Determine the flow paths in a downstream direction from the locations you specify.",
    allowToExport: "Allow to export results",
    joinFeatures: "Join Features",
    joinFeaturesUsage: "The Join Features tool will transfer attributes from one layer or table to another based on spatial and attribute relationships. Optionally, statistics can be calculated for the joined features.",
    includeRouteLayer: "Include route layers",
    findOutliers: "Find Outliers",
    findOutliersUsage: "The Find Outliers tool will determine if there are any statistically significant outliers in the spatial pattern of your data."
  }),
  "ar": 1,
  "bs": 1,
  "ca": 1,
  "cs": 1,
  "da": 1,
  "de": 1,
  "el": 1,
  "es": 1,
  "et": 1,
  "fi": 1,
  "fr": 1,
  "he": 1,
  "hi": 1,
  "hr": 1,
  "hu": 1,
  "it": 1,
  "id": 1,
  "ja": 1,
  "ko": 1,
  "lt": 1,
  "lv": 1,
  "nb": 1,
  "nl": 1,
  "pl": 1,
  "pt-br": 1,
  "pt-pt": 1,
  "ro": 1,
  "ru": 1,
  "sl": 1,
  "sr": 1,
  "sv": 1,
  "th": 1,
  "tr": 1,
  "vi": 1,
  "zh-cn": 1,
  "zh-hk": 1,
  "zh-tw": 1
});
