# Batch Attribute Editor
The Batch Attribute Editor widget allows users to select a set features, by either using shapes or another layer, and edit all their attributes at once.

Usage examples:
* electric company wants to assign a set of poles in an area to be maintained by a particular work crew.
* gas company wants to assign a set of meters in an area to be inspected by a particular work crew.
* water company wants to assign a set of hydrants in an area to be serviced by a particular work crew.

## Sections

* [Features](#features)
* [Requirements](#requirements)
* [Instructions](#instructions)
* [Resources](#resources)
* [Issues](#issues)
* [Contributing](#contributing)
* [Licensing](#licensing)

## Features

* Create selection set for updating by one of the following methods
  * Select by Feature.
  * Select by Shape.  
  * Select by Feature and related data.
  * Select by attribute.


## Requirements
* ArcGIS WebApp Builder Developer Edition 1.2.

## Instructions
Deploying Widget

1. Download and extract the developers edition of the Web AppBuilder
2. Copy and paste the entire BatchEditor folder into the stemapp/widgets folder

### General Help
[New to Github? Get started here.](http://htmlpreview.github.io/?https://github.com/Esri/esri.github.com/blob/master/help/esri-getting-to-know-github.html)

## Resources

* Learn more about Esri's [Solutions for ArcGIS](http://solutions.arcgis.com/).

## Issues

* Find a bug or want to request a new feature?  Please let us know by submitting an issue.

## Contributing

Esri welcomes contributions from anyone and everyone. Please see our [guidelines for contributing](https://github.com/esri/contributing).

If you are using [JS Hint](http://http://www.jshint.com/) there is a .jshintrc file included in the root folder which enforces this style.
We allow for 120 characters per line instead of the highly restrictive 80.

## Licensing

Copyright 2013 Esri

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

A copy of the license is available in the repository's
[license.txt](license.txt) file.

[](Esri Tags: ArcGIS Gas Electric Telco Telecommunications Utilities)
[](Esri Language: Javascript)
