///////////////////////////////////////////////////////////////////////////
// Copyright © 2016 Esri. All Rights Reserved.
//
// Licensed under the Apache License Version 2.0 (the 'License');
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//    http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an 'AS IS' BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
///////////////////////////////////////////////////////////////////////////
define({
  "units": {
    "feetUnit": "Fuß / Quadratfuß",
    "milesUnit": "Meilen / Acres",
    "metersUnit": "Meter / Quadratmeter",
    "kilometersUnit": "Kilometer / Quadratkilometer",
    "hectaresUnit": "Kilometer / Hektar"
  },
  "analysisTab": {
    "analysisTabLabel": "Analyse",
    "selectAnalysisLayerLabel": "Analyse-Layer auswählen",
    "addLayerLabel": "Layer hinzufügen",
    "noValidLayersForAnalysis": "Keine gültigen Layer in der ausgewählten Webkarte gefunden.",
    "noValidFieldsForAnalysis": "Keine gültigen Felder in der ausgewählten Webkarte gefunden. Entfernen Sie den ausgewählten Layer.",
    "addLayersHintText": "Hinweis: Wählen Sie Layer und Felder zur Analyse und Anzeige in Berichten aus.",
    "addLayerNameTitle": "Layer-Name",
    "addFieldsLabel": "Feld hinzufügen",
    "addFieldsPopupTitle": "Felder auswählen",
    "addFieldsNameTitle": "Feldnamen",
    "aoiToolsLegendLabel": "Werkzeuge für Interessenbereich",
    "aoiToolsDescriptionLabel": "Aktivieren Sie Werkzeuge, um Interessenbereiche zu erstellen und deren Beschriftung festzulegen.",
    "placenameLabel": "Ortsname",
    "drawToolsLabel": "Zeichenwerkzeuge",
    "uploadShapeFileLabel": "Ein Shapefile hochladen",
    "coordinatesLabel": "Koordinaten",
    "coordinatesDrpDwnHintText": "Hinweis: Wählen Sie die Einheit aus, um die eingegebenen Polygonzüge anzuzeigen.",
    "coordinatesBearingDrpDwnHintText": "Hinweis: Wählen Sie die Peilung aus, um die eingegebenen Polygonzüge anzuzeigen.",
    "allowShapefilesUploadLabel": "Hochladen von Shapefile in die Analyse zulassen",
    "allowShapefilesUploadLabelHintText": "Hinweis: Zeigen Sie in der Registerkarte \"Bericht\" die Option \"Shapefile in Analyse hochladen\" an.",
    "allowVisibleLayerAnalysisLabel": "Keine Ergebnisse für nicht sichtbare Layer analysieren oder erfassen",
    "allowVisibleLayerAnalysisHintText": "Hinweis: Layer, die deaktiviert oder aufgrund der Sichtbarkeitseinstellungen des Maßstabs nicht sichtbar sind, werden weder analysiert noch in gedruckte oder heruntergeladene Ergebnisse einbezogen.",
    "areaUnitsLabel": "Analyseergebnisse anzeigen in",
    "maxFeatureForAnalysisLabel": "Höchstanzahl für Analyse",
    "maxFeatureForAnalysisHintText": "Hinweis: Legen Sie die Höchstanzahl der Features für die Analyse fest.",
    "searchToleranceLabelText": "Suchtoleranz",
    "searchToleranceHint": "Hinweis: Die Suchtoleranz wird nur beim Analysieren von Punkt- und Linieneingaben verwendet.",
    "placenameButtonText": "Ortsname",
    "drawToolsButtonText": "Zeichnen",
    "shapefileButtonText": "Shapefile",
    "coordinatesButtonText": "Koordinaten",
    "invalidLayerErrorMsg": "Konfigurieren Sie die Felder für"
  },
  "downloadTab": {
    "downloadLegend": "Downloadeinstellungen",
    "reportLegend": "Berichtseinstellungen",
    "downloadTabLabel": "Herunterladen",
    "syncEnableOptionLabel": "Feature-Layer",
    "syncEnableOptionHint": "Hinweis: Wird verwendet, um Feature-Informationen für Features herunterzuladen, die sich im Interessenbereich in den angegebenen Formaten schneiden.",
    "syncEnableOptionNote": "Hinweis: Für die Optionen \"File-Geodatabase\" und \"Shapefile\" sind Feature-Services erforderlich, bei denen die Synchronisierung aktiviert ist. Das Shapefile-Format wird nur bei Feature-Layern unterstützt, die in ArcGIS Online gehostet sind.",
    "extractDataTaskOptionLabel": "Task \"Daten extrahieren\" des Geoverarbeitungsservice",
    "extractDataTaskOptionHint": "Hinweis: Verwenden Sie einen veröffentlichten Geoverarbeitungsservice mit dem Task \"Daten extrahieren\", um Features in File-Geodatabase- oder Shapefile-Formaten herunterzuladen, die sich im Interessenbereich schneiden.",
    "cannotDownloadOptionLabel": "Download deaktivieren",
    "syncEnableTableHeaderTitle": {
      "layerNameLabel": "Layer-Name",
      "csvFileFormatLabel": "CSV",
      "fileGDBFormatLabel": "File-Geodatabase",
      "ShapefileFormatLabel": "Shapefile",
      "allowDownloadLabel": "Download zulassen"
    },
    "setButtonLabel": "Festlegen",
    "GPTaskLabel": "URL für Geoverarbeitungsservice angeben",
    "printGPServiceLabel": "URL des Druckservice",
    "setGPTaskTitle": "Erforderliche URL des Geoverarbeitungsservice angeben",
    "logoLabel": "Logo",
    "logoChooserHint": "Hinweis: Klicken Sie auf das Symbol des Bilds, um das Bild zu ändern.",
    "footnoteLabel": "Fußnote",
    "columnTitleColorPickerLabel": "Farbe für Spaltentitel",
    "reportTitleLabel": "Berichtstitel",
    "errorMessages": {
      "invalidGPTaskURL": "Ungültiger Geoverarbeitungsservice. Wählen Sie einen Geoverarbeitungsservice aus, der den Task \"Daten extrahieren\" beinhaltet.",
      "noExtractDataTaskURL": "Wählen Sie einen Geoverarbeitungsservice aus, der den Task \"Daten extrahieren\" beinhaltet.",
      "duplicateCustomOption": "Doppelter Eintrag für ${duplicateValueSizeName} vorhanden.",
      "invalidLayoutWidth": "Ungültige Breite für ${customLayoutOptionValue} eingegeben.",
      "invalidLayoutHeight": "Ungültige Höhe für ${customLayoutOptionValue} eingegeben.",
      "invalidLayoutPageUnits": "Ungültige Seiteneinheit für ${customLayoutOptionValue} ausgewählt.",
      "failtofetchbuddyTaskDimension": "Fehler beim Abrufen der Buddy-Task-Dimensionsinformationen. Versuchen Sie es erneut.",
      "failtofetchbuddyTaskName": "Fehler beim Abrufen des Buddy-Task-Namens. Versuchen Sie es erneut.",
      "failtofetchChoiceList": "Fehler beim Abrufen der Auswahlliste aus dem Druckservice. Versuchen Sie es erneut.",
      "invalidWidth": "Ungültige Breite.",
      "invalidHeight": "Ungültige Höhe."
    },
    "addCustomLayoutTitle": "Benutzerdefiniertes Layout hinzufügen",
    "customLayoutOptionHint": "Hinweis: Fügen Sie den Druckoptionen die Option \"Benutzerdefiniertes Layout hinzufügen\" aus dem Druckservice hinzu.",
    "reportDefaultOptionLabel": "Standard-Layout",
    "pageSizeUnits": {
      "millimeters": "Millimeter",
      "points": "Punkte"
    }
  },
  "generalTab": {
    "generalTabLabel": "Allgemein",
    "tabLabelsLegend": "Bereichsbeschriftungen",
    "tabLabelsHint": "Hinweis: Geben Sie Beschriftungen an.",
    "AOITabLabel": "Bereich  \"Interessenbereich \"",
    "ReportTabLabel": "Bereich  \"Bericht \"",
    "bufferSettingsLegend": "Puffereinstellungen",
    "defaultBufferDistanceLabel": "Standardpufferabstand",
    "defaultBufferUnitsLabel": "Puffereinheiten",
    "generalBufferSymbologyHint": "Hinweis: Legen Sie die Symbolisierung fest, die zur Anzeige von Puffern um Interessenbereiche herum verwendet werden soll.",
    "aoiGraphicsSymbologyLegend": "Symbolisierung für Grafiken von Interessenbereichen",
    "aoiGraphicsSymbologyHint": "Hinweis: Legen Sie die Symbolisierung fest, die beim Definieren von Interessenbereichen mit Punkten, Linien und Polygonen verwendet werden soll.",
    "pointSymbologyLabel": "Punkt",
    "previewLabel": "Vorschau",
    "lineSymbologyLabel": "Linie",
    "polygonSymbologyLabel": "Polygon",
    "aoiBufferSymbologyLabel": "Puffer-Symbolisierung",
    "pointSymbolChooserPopupTitle": "Symbol für Adresse oder Position",
    "polygonSymbolChooserPopupTitle": "Symbol zum Hervorheben des Polygons auswählen",
    "lineSymbolChooserPopupTitle": "Symbol zum Hervorheben der Linie auswählen",
    "aoiSymbolChooserPopupTitle": "Puffersymbol festlegen",
    "aoiTabText": "AOI",
    "reportTabText": "Bericht",
    "invalidSymbolValue": "Ungültiger Symbolwert."
  },
  "searchSourceSetting": {
    "searchSourceSettingTabTitle": "Einstellungen der Suchquellen",
    "searchSourceSettingTitle": "Einstellungen der Suchquellen",
    "searchSourceSettingTitleHintText": "Fügen Sie Geokodierungsservices oder Feature-Layer als Suchquellen hinzu, und konfigurieren Sie diese. Anhand dieser angegebenen Quellen wird bestimmt, welche Elemente im Suchfeld durchsucht werden können.",
    "addSearchSourceLabel": "Suchquelle hinzufügen",
    "featureLayerLabel": "Feature-Layer",
    "geocoderLabel": "Geocoder",
    "generalSettingLabel": "Allgemeine Einstellung",
    "allPlaceholderLabel": "Platzhaltertext, um alle zu durchsuchen:",
    "allPlaceholderHintText": "Hinweis: Geben Sie den Platzhaltertext zum Durchsuchen aller Layer und Geocoder ein.",
    "generalSettingCheckboxLabel": "Pop-up für das gefundene Feature oder die gefundene Position anzeigen",
    "countryCode": "Länder- oder Regionscode(s)",
    "countryCodeEg": "z. B. ",
    "countryCodeHint": "Wenn dieser Wert leer gelassen wird, werden alle Länder und Regionen durchsucht.",
    "questionMark": "?",
    "searchInCurrentMapExtent": "Nur in der aktuellen Kartenausdehnung suchen",
    "zoomScale": "Zoom-Maßstab",
    "locatorUrl": "Geocoder-URL",
    "locatorName": "Geocoder-Name",
    "locatorExample": "Beispiel",
    "locatorWarning": "Diese Version des Geokodierungsservice wird nicht unterstützt. Das Widget unterstützt Geokodierungsservices der Version 10.0 und höher.",
    "locatorTips": "Es sind keine Vorschläge verfügbar, da der Geokodierungsservice die Vorschlagsfunktion nicht unterstützt.",
    "layerSource": "Layer-Quelle",
    "setLayerSource": "Layer-Quelle festlegen",
    "setGeocoderURL": "Geocoder-URL festlegen",
    "searchLayerTips": "Es sind keine Vorschläge verfügbar, da der Feature-Service die Paginierungsfunktion nicht unterstützt.",
    "placeholder": "Platzhaltertext",
    "searchFields": "Suchfelder",
    "displayField": "Anzeigefeld",
    "exactMatch": "Exakte Übereinstimmung",
    "maxSuggestions": "Maximale Anzahl von Vorschlägen",
    "maxResults": "Maximale Anzahl von Ergebnissen",
    "enableLocalSearch": "Lokale Suche aktivieren",
    "minScale": "Min. Maßstab",
    "minScaleHint": "Wenn der Kartenmaßstab größer ist als dieser Maßstab, wird die lokale Suche angewendet.",
    "radius": "Radius",
    "radiusHint": "Ermöglicht die Festlegung des Radius einer Fläche um den aktuellen Kartenmittelpunkt, der dazu dient, die Rangfolge von Geokodierungskandidaten zu optimieren. Die Kandidaten, die der Position am nächsten liegen, werden auf diese Weise zuerst ausgegeben.",
    "setSearchFields": "Suchfelder festlegen",
    "set": "Festlegen",
    "invalidUrlTip": "Die URL ${URL} ist ungültig oder es kann nicht darauf zugegriffen werden.",
    "invalidSearchSources": "Ungültige Einstellungen der Suchquelle"
  },
  "errorMsg": {
    "textboxFieldsEmptyErrorMsg": "Füllen Sie die erforderlichen Felder aus.",
    "bufferDistanceFieldsErrorMsg": "Geben Sie gültige Werte ein.",
    "invalidSearchToleranceErrorMsg": "Geben Sie einen gültigen Wert für die Suchtoleranz ein.",
    "atLeastOneCheckboxCheckedErrorMsg": "Ungültige Konfiguration: Mindestens ein AOI-Werkzeug ist erforderlich.",
    "noLayerAvailableErrorMsg": "Keine Layer verfügbar",
    "layerNotSupportedErrorMsg": "Wird nicht unterstützt ",
    "noFieldSelected": "Verwenden Sie die Aktion \"Bearbeiten\", um Felder für die Analyse auszuwählen.",
    "duplicateFieldsLabels": "Doppelte Bezeichnung \"${labelText}\" für: \"${itemNames}\" hinzugefügt",
    "noLayerSelected": "Wählen Sie mindestens einen Layer für die Analyse aus.",
    "errorInSelectingLayer": "Der Operation zur Auswahl des Layers kann nicht abgeschlossen werden. Versuchen Sie es erneut.",
    "errorInMaxFeatureCount": "Geben Sie einen gültigen Wert für die Höchstzahl der Features zur Analyse ein."
  }
});