/**
 * Copyright @ 2017 Esri.
 * All rights reserved under the copyright laws of the United States and applicable international laws, treaties, and conventions.
 */
define(["dojo/_base/lang","dojo/_base/array","esri/core/declare","esri/core/lang","esri/views/3d/webgl-engine/lib/Util","esri/views/3d/webgl-engine/lib/gl-matrix","esri/views/3d/support/projectionUtils","../../webgl-engine-extensions/VertexBufferLayout","../../webgl-engine-extensions/GLXBO","../../webgl-engine-extensions/GLVertexArrayObject","../../support/fx3dUtils","../../support/fx3dUnits","../Effect","./PointExtrudeMaterial"],function(e,i,t,r,n,s,a,o,h,d,l,_,g,f){var m=s.vec3d,c=s.mat4d,u=s.mat4,p=n.VertexAttrConstants,v=n.setMatrixTranslation3,b={Down:0,Up:1},T=m.create();c.identity();tmpTranslationOriginMat=c.identity(),tmpTransformationRelToOrigin=c.create(),tmpInvTranspTransformation=c.create(),renderObjectItem=null,tmpViewMat=u.create();var I={Cuboid:"cuboid",Hexahedron:"hexahedron",Cylinder:"cylinder"},y={Cuboid:4,Hexahedron:6,Cylinder:32},x=t([g],{declaredClass:"esri.views.3d.effects.PointExtrude.PointExtrudeEffect",effectName:"PointExtrude",constructor:function(e){this.orderId=2,this._sizeInMeters=[],this.localOriginFactory=g.createLocalOriginFactory(),this._renderObjects={}},_initRenderingInfo:function(){this.renderingInfo.radius=6e4,this.renderingInfo.height=8e5,this.renderingInfo.topColors=[l.rgbNames.cadetblue,l.rgbNames.yellowgreen,l.rgbNames.lightpink,l.rgbNames.orangered,l.rgbNames.green,l.rgbNames.indianred],this._colorBarDirty=!0,this.renderingInfo.bottomColor=[0,255,0],this.renderingInfo.shapeType=I.Cylinder,this._renderingInfoDirty=!0,this._segments=y.Cylinder,this._vacDirty=!0,this._shapeDirty=!0,this.inherited(arguments)},_doRenderingInfoChange:function(e){this.inherited(arguments);for(var i in e)e.hasOwnProperty(i)&&this.renderingInfo.hasOwnProperty(i)&&(r.endsWith(i.toLowerCase(),"info")?l.isInforAttrChanged(this.renderingInfo[i],e[i])&&(this._renderingInfoDirty=!0):r.endsWith(i.toLowerCase(),"color")?e[i]instanceof Array&&3==e[i].length&&(this.renderingInfo[i]=[e[i][0]/255,e[i][1]/255,e[i][2]/255]):r.endsWith(i.toLowerCase(),"colors")?e[i]instanceof Array&&(this.renderingInfo[i]=e[i],this._colorBarDirty=!0,this._renderingInfoDirty=!0):"shapetype"===i.toLowerCase()?this.renderingInfo[i]!=e[i].toLowerCase()&&(this._vacDirty=!0,this._shapeDirty=!0,this._isAddingGeometry=!1,this._renderingInfoDirty=!0,this.renderingInfo[i]=e[i].toLowerCase(),this.renderingInfo[i]===I.Cuboid?this._segments=y.Cuboid:this.renderingInfo[i]===I.Hexahedron?this._segments=y.Hexahedron:this.renderingInfo[i]===I.Cylinder&&(this._segments=y.Cylinder)):"radius"===i.toLowerCase()||"height"===i.toLowerCase()||"transparency"===i.toLowerCase()?(this._clampScope(e,i),"radius"==i&&this._radiusUnit?this.renderingInfo[i]=_.toMeters(this._radiusUnit,e[i],this._view.viewingMode):"height"==i&&this._heightUnit?(this.renderingInfo[i]=_.toMeters(this._heightUnit,e[i],this._view.viewingMode),this._updateDefaultLabelHeight()):this.renderingInfo[i]=e[i]):typeof e[i]==typeof this.renderingInfo[i]&&(this.renderingInfo[i]=e[i]))},_updateDefaultLabelHeight:function(){this._layer._labelDefaultHeight={flag:1,min:this._scopes.height[0],max:this.renderingInfo.height}},setContext:function(t){this.inherited(arguments),this._effectConfig&&e.isArray(this._effectConfig.renderingInfo)&&(this._radiusUnit=null,this._heightUnit=null,i.forEach(this._effectConfig.renderingInfo,function(e){"radius"===e.name.toLowerCase()?(this._radiusUnit=e.unit,this.renderingInfo.radius=_.toMeters(this._radiusUnit,this.renderingInfo.radius,this._view.viewingMode)):"height"===e.name.toLowerCase()&&(this._heightUnit=e.unit,this.renderingInfo.height=_.toMeters(this._heightUnit,this.renderingInfo.height,this._view.viewingMode),this._updateDefaultLabelHeight())}.bind(this)))},destroy:function(){this._resetBuffers()},_resetBuffers:function(){for(var e in this._renderObjects)this._dispose(this._renderObjects[e].vbo),this._dispose(this._renderObjects[e].ibo),this._dispose(this._renderObjects[e].vao);this._renderObjects={}},_initVertexLayout:function(){var e=[p.POSITION,p.AUXPOS1,p.NORMAL,p.AUXPOS2];this._vertexBufferLayout=new o(e,[3,3,3,3],[5126,5126,5126,5126])},_initRenderContext:function(){if(this.inherited(arguments),this._vacDirty)if(this._initVertexLayout(),this._vacDirty=!1,this._isAddingGeometry)for(var e in this._renderObjects)this._unBindBuffer(this._renderObjects[e].vao,this._renderObjects[e].vbo,this._renderObjects[e].ibo),this._renderObjects[e].vao&&(this._renderObjects[e].vao._initialized=!1);else this._resetBuffers();return this._geometryVertexNum=2*this._segments,this._geometryIndexNum=3*(2*this._segments+(this._segments-2)),this._localBindsCallback||(this._localBindsCallback=this._localBinds.bind(this)),this._buildPolyHedronGeometries()},_buildPolyHedronGeometries:function(){var e=this._isAddingGeometry?this._addedGraphics:this._allGraphics(),i=this._isAddingGeometry?this._toAddGraphicsIndex:0;if(e.length>0){var t,r,n,s,o,_,g,f,u,p,I,y,x,O,w,M,C=(this._vertexBufferLayout.getStride(),2*Math.PI),z=1/this._segments;for(r=0;r<e.length;r++)if(t=e[r].geometry,null!=t){m.set3(t.longitude,t.latitude,t.altitude||1,T);var j=c.create();a.computeLinearTransformation(this._wgs84SpatialReference,T,j,this.view.renderSpatialReference),"global"===this._view.viewingMode?l.wgs84ToSphericalEngineCoords(T,0,T,0):"local"===this._view.viewingMode&&l.wgs84ToWebMerc(T,0,T,0);var B=this.localOriginFactory.getOrigin(T);this._renderObjects[B.id]||(this._renderObjects[B.id]={vbo:new h(this._gl,(!0),this._vertexBufferLayout),ibo:new h(this._gl,(!1)),vao:this._vaoExt?new d(this._gl,this._vaoExt):null,offset:0,origin:B.vec3}),o=this._renderObjects[B.id],v(tmpTranslationOriginMat,-o.origin[0],-o.origin[1],-o.origin[2]),c.multiply(tmpTranslationOriginMat,j,tmpTransformationRelToOrigin),c.inverse(tmpTransformationRelToOrigin,tmpInvTranspTransformation),c.transpose(tmpInvTranspTransformation),g=0,f=0,u=1,x=tmpInvTranspTransformation[0]*g+tmpInvTranspTransformation[4]*f+tmpInvTranspTransformation[8]*u+tmpInvTranspTransformation[12],O=tmpInvTranspTransformation[1]*g+tmpInvTranspTransformation[5]*f+tmpInvTranspTransformation[9]*u+tmpInvTranspTransformation[13],w=tmpInvTranspTransformation[2]*g+tmpInvTranspTransformation[6]*f+tmpInvTranspTransformation[10]*u+tmpInvTranspTransformation[14];var D=[],L=[];for(_=o.offset,n=0;n<this._segments;n++)M=C*n*z,g=Math.cos(M),f=Math.sin(M),u=0,p=tmpTransformationRelToOrigin[0]*g+tmpTransformationRelToOrigin[4]*f+tmpTransformationRelToOrigin[8]*u,I=tmpTransformationRelToOrigin[1]*g+tmpTransformationRelToOrigin[5]*f+tmpTransformationRelToOrigin[9]*u,y=tmpTransformationRelToOrigin[2]*g+tmpTransformationRelToOrigin[6]*f+tmpTransformationRelToOrigin[10]*u,D.push(p,I,y,tmpTransformationRelToOrigin[12],tmpTransformationRelToOrigin[13],tmpTransformationRelToOrigin[14],x,O,w,r+i,n,b.Down),D.push(p,I,y,tmpTransformationRelToOrigin[12],tmpTransformationRelToOrigin[13],tmpTransformationRelToOrigin[14],x,O,w,r+i,n,b.Up),n!==this._segments-1?L.push(2*n+_,2*n+2+_,2*n+3+_,2*n+_,2*n+3+_,2*n+1+_):L.push(2*n+_,0+_,1+_,2*n+_,1+_,2*n+1+_);for(s=0;s<this._segments-2;s++)L.push(1+_,2*s+3+_,2*s+5+_);o.vbo.addData(!0,new Float32Array(D)),o.offset+=this._geometryVertexNum,o.ibo.addData(!0,new Uint32Array(L)),o.vao&&(o.vao._initialized=!1)}return this._resetAddGeometries(),!0}return!1},_loadShaders:function(){return this.inherited(arguments),this._material||(this._material=new f({pushState:this._pushState.bind(this),restoreState:this._restoreState.bind(this),gl:this._gl,viewingMode:this._view.viewingMode,shaderSnippets:this._shaderSnippets})),this._material.loadShaders()},_initColorBar:function(){if(!this._colorBarDirty)return!0;this._colorBarTexture||(this._colorBarTexture=this._gl.createTexture());var e=this._gl.getParameter(32873);this._gl.bindTexture(3553,this._colorBarTexture),this._gl.pixelStorei(37440,!0),this._gl.texParameteri(3553,10240,9728),this._gl.texParameteri(3553,10241,9728),this._gl.texParameteri(3553,10242,33071),this._gl.texParameteri(3553,10243,33071);var i=l.createColorBarTexture(32,1,this.renderingInfo.topColors);return this._gl.texImage2D(3553,0,6408,6408,5121,i),this._gl.generateMipmap(3553),this._gl.bindTexture(3553,e),0===this._gl.getError()},_localBinds:function(e,i){e.bind(this._material._program),this._vertexBufferLayout.enableVertexAttribArrays(this._gl,this._material._program),i.bind()},_bindBuffer:function(e,i,t){e?(e._initialized||e.initialize(this._localBindsCallback,[i,t]),e.bind()):this._localBinds(i,t)},_unBindBuffer:function(e,i,t){e?e.unbind():(i.unbind(),this._vertexBufferLayout.disableVertexAttribArrays(this._gl,this._material._program),t.unbind())},render:function(i,t){if(this.inherited(arguments),this._layer.visible&&this.ready&&this._bindPramsReady()){this._hasSentReady||(this._layer.emit("fx3d-ready"),this._hasSentReady=!0),this._sizeInMeters[0]=this.renderingInfo.radius,this._sizeInMeters[1]=this._scopes.height[0],this._sizeInMeters[2]=this.renderingInfo.height,this._material.bind(e.mixin({},{pp:this._vizFieldVerTextures[this._vizFieldDefault],sp:this._vizFieldVerTextures[this._vizFields[this._currentVizPage]],op:this._vizFieldVerTextureSize,mo:this.renderingInfo.animationInterval,oi:this._sizeInMeters,pl:this.renderingInfo.transparency,lp:this.renderingInfo.bottomColor,el:this._vizFieldMinMaxs[this._vizFieldDefault].min>this._vizFieldMinMaxs[this._vizFields[this._currentVizPage]].min?this._vizFieldMinMaxs[this._vizFields[this._currentVizPage]].min:this._vizFieldMinMaxs[this._vizFieldDefault].min,pm:this._vizFieldMinMaxs[this._vizFieldDefault].max>this._vizFieldMinMaxs[this._vizFields[this._currentVizPage]].max?this._vizFieldMinMaxs[this._vizFieldDefault].max:this._vizFieldMinMaxs[this._vizFields[this._currentVizPage]].max,lm:1/this._segments,ss:this._colorBarTexture},i),t);for(var r in this._renderObjects)renderObjectItem=this._renderObjects[r],u.translate(i.view,renderObjectItem.origin,tmpViewMat),this._material.bindMat4("viewMat",tmpViewMat),this._material.bindVec3fv("origin",renderObjectItem.origin),this._material.bindVec3f("camPos",i.viewInvTransp[3]-renderObjectItem.origin[0],i.viewInvTransp[7]-renderObjectItem.origin[1],i.viewInvTransp[11]-renderObjectItem.origin[2]),this._bindBuffer(renderObjectItem.vao,renderObjectItem.vbo,renderObjectItem.ibo),this._gl.drawElements(4,renderObjectItem.ibo.getNum(),5125,0);this._material.release(t),this._unBindBuffer(renderObjectItem.vao,renderObjectItem.vbo,renderObjectItem.ibo)}}});return x});